#pragma once
#include <vector>
#include "BWAPI.h"
#include "BWTA.h"
using namespace BWAPI;

class ParticleGenerator {
public:
	ParticleGenerator(int psize, int pvariance, BWAPI::Position cp);
	std::vector<BWAPI::Position> generate();
	std::vector<BWAPI::Position> generateEmpty();
		std::vector<BWAPI::Position> generateEmptyClampRegion(BWTA::Region* r);
	void setPopulationSize(int ps);
	void setPopulationVariance(int pv);
	void setCentrePoint(BWAPI::Position p);

private:
	int populationSize;
	int populationVariance;
	BWAPI::Position centrePoint;
protected:
};